<header>
	<digi-notification-cookie
		[afAcceptAllCookiesButtonText]="'Accept All Cookies'"
		[afBannerHeadingText]="'We use cookies'"
		[afBannerText]="
			'We use cookies on this site to facilitate basic functionality and improve the user experience over time. Here you can choose which cookies you want to accept.'
		"
		[afCancelButtonText]="'Cancel'"
		[afCloseDialogButtonText]="'Close'"
		[afModalHeadingText]="'Customize cookie settings'"
		[afRequiredCookiesText]="'These Cookies are required bla blah...'"
		[afSaveAndApproveButtonText]="'Save & Approve'"
		[afSettingsButtonText]="'Settings'"
	></digi-notification-cookie>
	<digi-page-header af-close-menu-text="Close" af-open-menu-text="Menu">
		<p slot="top">Tillbaka till <a href="#">Skolverket.se</a></p>
		<a href="#" slot="logo"
			><digi-logo-sister af-name="Logotitel"></digi-logo-sister
		></a>
		<ul slot="eyebrow">
			<li><digi-link-icon>...</digi-link-icon></li>
			<li><digi-link-icon>...</digi-link-icon></li>
			<li><digi-link-icon>...</digi-link-icon></li>
			<li><digi-link-icon>...</digi-link-icon></li>
		</ul>
		<nav slot="nav">
			<ul>
				<li>
					<button>Huvudingång 1</button>
					<digi-navigation-main-menu-panel
						[attr.af-close-text]="'Close'"
						[attr.af-back-text]="'Back'"
					>
						<a href="#" slot="main-link">Huvudingång 1</a>
						<ul>
							<li>
								<a href="#">Ingång 1 nivå 2.1</a>
							</li>
							<li>
								<a href="#">Ingång 1 nivå 2.2</a>
								<ul>
									<li>
										<a href="#">Ingång 1 nivå 2.2 nivå 3.1</a>
									</li>
									<li>
										<a href="#">Ingång 1 nivå 2.2 nivå 3.2</a>
										<ul>
											<li>
												<a href="#">Ingång 1 nivå 3.2 nivå 4.1</a>
											</li>
											<li>
												<span aria-current="page"> Ingång 1 nivå 3.2 nivå 4.2 </span>
											</li>
										</ul>
									</li>
								</ul>
							</li>
							<li>
								<a href="#">Ingång 1 nivå 2.3</a>
							</li>
						</ul>
					</digi-navigation-main-menu-panel>
				</li>
				<li>
					<button>Huvudingång 2</button>
					<digi-navigation-main-menu-panel> ... </digi-navigation-main-menu-panel>
				</li>
				<li>
					<button>Huvudingång 3</button>
					<digi-navigation-main-menu-panel> ... </digi-navigation-main-menu-panel>
				</li>
				<li>
					<a href="#">Huvudingång 4 (Utan undermeny)</a>
				</li>
				<li>
					<button>Huvudingång 5</button>
					<digi-navigation-main-menu-panel>
						<a href="#" slot="main-link"> Huvudingång 5 </a>
						<ul>
							<li>
								<a href="#">Ingång 5 nivå 2.1</a>
							</li>
						</ul>
					</digi-navigation-main-menu-panel>
				</li>
			</ul>
		</nav>
	</digi-page-header>
</header>

<digi-navigation-tabs [attr.af-aria-label]="'En tablist label'"
	><digi-navigation-tab-in-a-box
		[attr.af-aria-label]="'Flik 1'"
		[attr.af-id]="'flikb1'"
		><p>Jag är flik 1</p></digi-navigation-tab-in-a-box
	><digi-navigation-tab-in-a-box
		[attr.af-aria-label]="'Flik 2'"
		[attr.af-id]="'flikb2'"
		><p>Jag är flik 2</p></digi-navigation-tab-in-a-box
	><digi-navigation-tab-in-a-box
		[attr.af-aria-label]="'Flik 3'"
		[attr.af-id]="'flikb3'"
		><p>Jag är flik 3</p></digi-navigation-tab-in-a-box
	></digi-navigation-tabs
>
<digi-navigation-breadcrumbs
	><li><a href="dd">hej</a></li></digi-navigation-breadcrumbs
>
<digi-expandable-accordion
	[afExpandText]="'Show'"
	[afCollapseText]="'Hide'"
	[afVariation]="'secondary'"
></digi-expandable-accordion>
<!-- 
	This component doesn't seem to work when added through DigiSkolverketAngularModule. Not sure why, it works if referenced by skolverket.esm.js..
	
	<digi-form-process-steps
	[afCurrentStepTemplateText]="'Step {{currentStepNo}} of {{totalNoOfSteps}}'"
	[afHideAllStepsText]="'Hide All Steps'"
	[afHideText]="'Hide'"
	[afShowAllStepsText]="'Show All Steps'"
	[afShowStepText]="'Show Step'"
	[afCurrentStep]="1"
>
	<li>
		<digi-form-process-step
			[afLabel]="'Tillfällig lagring'"
		></digi-form-process-step>
	</li>
	<li>
		<digi-form-process-step [afLabel]="'Mumma'"></digi-form-process-step>
	</li>
	<li>
		<digi-form-process-step [afLabel]="'Pelle'"></digi-form-process-step>
	</li>
</digi-form-process-steps>

-->
<digi-form-file-upload
	[afCanceledText]="'Canceled'"
	[afErrorTryAgainTemplateText]="
		'Failed to upload file ({{fileName}}), please try again'
	"
	[afFileCancelUploadText]="'Cancel Upload'"
	[afFileDropZoneText]="'Or drag & drop a file inside the dotted area'"
	[afFileErrorCanceledText]="'Upload Canceled'"
	[afFileErrorDuplicateTemplateText]="
		'A file with the name {{fileName}} already exists'
	"
	[afFileErrorFileAlreadyUploadedText]="
		'All selected files have already been uploaded'
	"
	[afFileErrorFiletypeNotAllowedText]="
		'Uploading files of this type is not allowed'
	"
	[afFileErrorRemoveTemplateText]="
		'Failed to upload file, remove {{fileName}} from the list of files'
	"
	[afFileErrorTemplateText]="'{{fileName}} couldn´t be uploaded. {{error}}'"
	[afFileErrorTooLargeTemplateText]="
		'The size of the file is too large ({{fileName}})'
	"
	[afFileErrorTooManyText]="'The maximum number of files have been uploaded'"
	[afRemoveAriaLabelText]="'Remove'"
	[afRemoveFileText]="'Remove File'"
	[afTryAgainText]="'Try Again'"
	[afUploadInProgressText]="'Uploading...'"
></digi-form-file-upload>
